# Broker IDs

`WS` `request · cmd 16`

This API is used to obtain participant IDs data (which can be synchronized once a day).

```protobuf
message ParticipantBrokerIdsResponse {
  repeated ParticipantInfo participant_broker_numbers = 1;
}

message ParticipantInfo {
  repeated int32 broker_ids = 1;
  string participant_name_cn = 2;
  string participant_name_en = 3;
  string participant_name_hk = 4;
}
```

## Response Fields

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `participant_broker_numbers` | object[] | No | participant data |
| `└ broker_ids` | int32[] | No | broker IDs |
| `└ participant_name_cn` | string | No | participant name (zh-CN) |
| `└ participant_name_en` | string | No | participant name (en) |
| `└ participant_name_hk` | string | No | participant name (zh-HK) |

## Response JSON Example

```json
{
  "participant_broker_numbers": [
    {
      "broker_ids": [
        7738,
        7739
      ],
      "participant_name_cn": "华兴金融 (香港)",
      "participant_name_en": "China Renaissance(HK)",
      "participant_name_hk": "華興金融 (香港)"
    }
  ]
}
```
